X żąda Błędu Błędu Badwindow Zły Parametr Okna Odbioru Problemy Z Glxinfo?

Jeśli posiadasz na konsoli parametr okna x badwindow request, chory glxinfo, ten przewodnik powinien ci pomóc.

[Windows] Oprogramowanie, które sprawi, że Twój komputer znów będzie działał jak nowy

Pytania dotyczące instalacji API, lÖve, LÖVE i wsparcia można łatwo znaleźć tutaj.forumprzeczytaj

rządzi tym

milon
Członek grupy

Posty: 265

Dołączył: 18.01.2018 21:14

[ROZWIĄZANE] Błąd BadWindow w Linux Mint 19 XFCE

Zdecydowane! Okazało się, że winna była najnowsza wersja Mesy, która obniżyła kompatybilność OpenGL z dwoma procesorami graficznymi Intel trzeciej generacji. Rozwiązanie: Out of you see, pytanie tutaj

viewtopic.Czy sprzedajesz php?f=4&t=85719&p=223077#p223077

Mam do czynienia ze starą siecią komputerową Intel Atom, z którą się bawię. Dopóki świeży Linux Mint Cinnamon 18 nie został zainstalowany na sprzęcie i pracował z nim na wysokim poziomie – wszystko, co musiałem zrobić, to skonfigurować wszystkie PPA, a następnie wyszukać Love w menedżerze oprogramowania. Proste!

Jednak Mint linux 19 został niedawno wydany, a ja wybrałem XFCE (ponieważ starszy sprzęt komputerowy ma pierwszeństwo lol). Wykonałem idealną czystą instalację (w tym czyszczenie dysku) dla LM19, jak również zwykłą instalację XFCE. Jak dotąd wiele rzeczy działa dobrze, z wyjątkiem opieki.

:(

Otrzymuję rozmyty błąd, gdy złe okno, mój mąż i ja próbujemy zrobić wszystko, co ma związek z plikiem wykonywalnym love, dwa razy: w pliku zarządzania aplikacjami .love „lubi”, nazywasz plik .real love na "miłość" obok jak np. Nie mam pojęcia, co - użyj dalej. Za pierwszym razem jestem linuxem, więc nie wiem, w jaki sposób radzić sobie z problemami z użytkownikami dróg itp. Każda pomoc byłaby na ogół bardzo mile widziana. Oto kopiowanie/wklejanie niektórych problemów z terminalem aby pokazać aktualny stan:

[email protected]:~$ MiłośćX Błąd ukończenia żądania: BadWindow (nieprawidłowy parametr okna pickupa)  Nie udało się uzyskać ważnego kodu operacji: 4 (X_DestroyWindow)  Punkt odniesienia, którego użyłbym, gdyby wymaganie nie powiodło się: 0x4600014 Błąd programu numeru seryjnego: 299  Aktualny numer seryjny najbardziej ostatniego święta [email protected]: strumienie: ~$ Enchantment --wersjaMIŁOŚĆ 11.1 (Tajemnicze sekrety sudo)[email protected]:~$ apt-get możesz ustawić główne hasło libgl1-mesa-dev[sudo] Cooper:Przeczytaj wykazy oprogramowania... drzewo GotoweUtwórz zależnościOdczytywanie informacji o stanie... Już zrobionelibgl1-mesa-dev to zwykle najnowsza wersja (18.0.5-0ubuntu0~18.04.1).0 0 4 zaktualizowane, ostatnio zainstalowane, Usuń wraz z 0 Niekoniecznie [email protected]:~$ sudo apt-get libgl1-mesa-glxOdczytywanie listy skrzynek instalacyjnych... GotoweUtwórz zależnościCzytaj drzewo informacji o lokalizacji... Gotowelibgl1-mesa-glx powinna być już najpopularniejszą opcją (18.0.5-0ubuntu0~18.04.1).0 0 do aktualizacji, ponownego połączenia, 0 odpowiednie do usunięcia i zamiast 0 do góry. [email protected]:~$ apt-get libsdl2-devPrzeczytaj setlisty ustawień... GotoweUtwórz określone drzewo zależnościPrzeczytaj informacje o fazie... Już zrobionelibsdl2-dev to najnowsza wersja (2.0.8+dfsg1-1ubuntu1.18.04.1).0 zreorganizowanych, 0 ostatnio dodanych, 0 usuniętych iw rezultacie 0 właśnie [email protected]:~$ -aAbsolutnie nie ma prawdziwych modułów lsb_release lsb.Identyfikator dystrybucji: Linux Linux Mint.Opis Mennica: 19 tar.Wersja: 19Kryptonim: Tara

mylon

do Thu 13.09.6:12 2018 tego konkretnego wieczoru, edytowany jeden raz w całości.

pgymeno Du

członek grupy

Posty: 2975

Dołączył: 16 października 2015, 14:58

Re: Błąd w Badwindow Linux 19 Mint XFCE

Czy możesz zmaterializować wynik? (glxinfo jest prawie na pewno dosłownie w pakiecie mesa-utils, zainstaluj go najpierw, jeśli nigdy go nie dostaniesz)

x błąd najczęściej związany z nieudanym żądaniem badwindow nieprawidłowy parametr szyby glxinfo

A jaką masz kartę graficzną (jeśli nie widać tego na powyższym wyjściu)?

Milon Du
członek grupy

Posty: 265

Dołączył: czw., 18.01.2018 21:14

Re: Błąd BadWindow w Linux Mint 20 XFCE

http://global.shuttle.com/main/products... glxinfo uctId=1515

[email protected]:~$ | grep OpenGLŁańcuch dostawców OpenGL: Centrum technologii Open Source firmy IntelSeria renderów OpenGL: DRI mesa Line pineviewstyle intel(r) OpenGL: 1,4 Mesa 18,0,5Rozszerzenia rejestracji opengl:Wersja franczyzowa Opengl ES ES: Opengl 2.0 Mesa 18.0. Zacienienie profilu 5słowa i wyrażenia aplikacyjne opengl string es: ES opengl GLSL ES 1.0.16Rozszerzenia profilu ES OpenGL:

pgymeno

członek grupy

składki: 2975

Data rejestracji: 18.10.2015 r.,

Odp: 14:58

Błąd BadWindow w Linux Mint 19 XFCE

x błąd nieudanej polisy ubezpieczeniowej za złe okno, nieprawidłowy parametr okna glxinfo

Hmm, nie znam się zbyt dobrze na sterownikach iw rezultacie wymaganiach. Skanuje mnie nawet po prostu opengl, który obsługuje 1.4, ale też OpenGLES 2.0, który myślę, że jest ok, ale niekoniecznie jestem pewien. Co dziwne, nie mogę szukać wymagań OpenGL dla miejsc, które moim zdaniem są na górze: góra strony, góra odnosząca się do stronicowania wiki, pierwsza strona z kanałami rss i informacje o wydaniu przeznaczone dla wersji 11.0. Myślę, że była świetna sytuacja środowiskowa, która zmusiła OpenGL do użycia ES, ale nie wiem, który.

Ale czy „Mesa DRI” sugeruje, że może używać/wymagać sterowników DRI zamiast GLX? de Czy umieściłeś libgl1-mesa-dri?

- nie, spróbuj zainstalować i na pewno usunąć libgl1-mesa-glx.Jeśli to

PC działa wolno?

Czy Twój komputer stale sprawia Ci smutek? Nie wiesz, gdzie się zwrócić? Cóż, mamy dla Ciebie rozwiązanie! Dzięki Reimage możesz naprawiać typowe błędy komputera, chronić się przed utratą plików, złośliwym oprogramowaniem i awariami sprzętu... oraz optymalizować komputer pod kątem maksymalnej wydajności. To jak kupowanie zupełnie nowej maszyny bez konieczności wydawania ani grosza! Więc po co czekać? Pobierz Reimage już dziś!

  • Krok 1: Pobierz i zainstaluj Reimage
  • Krok 2: Uruchom program i postępuj zgodnie z instrukcjami wyświetlanymi na ekranie
  • Krok 3: Wybierz pliki lub foldery, które chcesz przeskanować, i kliknij „Przywróć”

  • - w tym celu sprawdź usunięcie, aby zobaczyć i czy zmusza Cię do korzystania z GLX.

    To są naprawdę strzały w przygnębionych, ponieważ nie miałem pojęcia, czy okaże się, że libgl1-mesa-dri obsługuje nawet OpenGL z akceleracją odbicia, całkiem możliwe, jeśli glx jest wymagany do LÖVE. W najgorszym przypadku większość ludzi zacznie wracać do wszystkiego i z pewnością powinieneś być teraz bardziej podobny do siebie.